ClientsList clients

List clients

Retrieve a paginated list of clients with optional filtering.

curl -X GET "https://api.mythic-analytics.com/api/v1/clients?status=true&company_id=example_string&search=example_string&limit=42&offset=42" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "acme-retail",
      "name": "Acme Retail",
      "status": true,
      "publishable_key": "pk_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
      "secret_key": "sk_f6e5d4c3b2a1f6e5d4c3b2a1f6e5d4c3",
      "domain": "acme-retail.com",
      "email": "ops@acme-retail.com",
      "phone": "+1-555-0123",
      "website": "example_string",
      "timezone": "America/Los_Angeles",
      "global_name": "acmeRetail",
      "company_id": "cmp_7kH3nPqR",
      "agency_id": "example_string",
      "api_metadata": {},
      "ghl_location_id": "example_string",
      "proxy_api_key": "example_string",
      "created_at": "2024-03-21T18:42:15.291Z",
      "updated_at": "2024-03-21T18:42:15.291Z"
    }
  ],
  "count": 2
}
GET
/clients
GET
Bearer Token
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key (query: admin_key)
admin_keystring
Required

Alternative to the Authorization header for server-to-server scenarios.

Alternative to the Authorization header for server-to-server scenarios.
query
statusstring

Filter by active status. Pass true or false.

Options: true, false
query
company_idstring

Filter by company identifier.

query
limitinteger

Maximum results per page. Default 50, max 500.

Max: 500
query
offsetinteger

Number of results to skip. Default 0.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

query
admin_keystring
Required

API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.

Query Parameters

statusstring

Filter by active status. Pass true or false.

Allowed values:truefalse
company_idstring

Filter by company identifier.

limitinteger

Maximum results per page. Default 50, max 500.

offsetinteger

Number of results to skip. Default 0.

Responses

successboolean
dataarray
countinteger

Total number of matching resources.